<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_2d4b5f427d48c3244c2f195" . "479a6ced7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJsYW5r" . "X3ZhbHVlcw=="), "_d162ad33b44d275ccc6e4b5280" . "b618df" => base64_decode("bWV0YV9" . "0ZXh0"), "_31767d7ad58e706dbf" . "47b7a51a0fe6c4" => base64_decode("Y29" . "1bn" . "Q="), "_e2e36e1c2215f261368b20d15740" . "847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN" . "0cjp2YWwp"), "_2d71c655f2a62b5d8b25db" . "f8acf952fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1ldGEgZmllbG" . "QgSUQ="), "_7f628626dd1d55c71b1fc0932" . "ffd1d2c" => base64_decode("aXNf" . "YXJy" . "YXk="), "_0926ec15" . "94f048b9f" . "e0aa9aa05" . "b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZmluZWQgbWV0YSBmaWV" . "sZCBJRA=="), "_80be54d4" . "bf79b1f17" . "7a6b4555a" . "e15ab7" => base64_decode("Q291bGRuJ3Qgc2" . "F2ZS4gVW5kZWZp" . "bmVkIG1ldGEgZm" . "llbGQgSUQ="), "_4079816faf05" . "60c6877e40230" . "b8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YW" . "x1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ldGFfZmll" . "bGRfaWQ="), "_0c5123aa744f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw=" . "="), "_516340c618ee12" . "b8bfb13b0d280f2" . "69f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsd" . "WVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2lkIE9SREVSIE" . "JZIG1ldGFfdmFsdWU="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2d71c655f2a" . "62b5d8b25dbf" . "8acf952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_516340c618ee1" . "2b8bfb13b0d280" . "f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d162ad33b44d275" . "ccc6e4b5280b618d" . "f"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_80be54d4" . "bf79b1f17" . "7a6b4555a" . "e15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e2e36e1c2215f261" . "368b20d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0926ec1594f048b9f" . "e0aa9aa05b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4079816faf0560c687" . "7e40230b8b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7f628626dd" . "1d55c71b1fc" . "0932ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_31767d7ad58e" . "706dbf47b7a51" . "a0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2d4b5f42" . "7d48c3244" . "c2f195479" . "a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7f628626dd1d55c" . "71b1fc0932ffd1d2" . "c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}